Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.transaction.memory.jca
Class MapConnectionFactory

    java.lang.Object
      org.apache.commons.transaction.memory.jca.MapConnectionFactory

All Implemented Interfaces:
  ConnectionFactory, Referenceable, Referenceable, Serializable

public class MapConnectionFactory
extends Object
implements ConnectionFactory

Version:
  $Revision$
See Also:
  Serialized Form

Constructor Summary
`MapConnectionFactory(ManagedConnectionFactory mcf, ConnectionManager cm)`

Method Summary
`Connection` | `getConnection()`
`Connection` | `getConnection(ConnectionSpec spec)`
`ResourceAdapterMetaData` | `getMetaData()`
`String` | `getName()`
`RecordFactory` | `getRecordFactory()`
`Reference` | `getReference()`
`void` | `setName(String string)`
`void` | `setReference(Reference reference)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapConnectionFactory

    public MapConnectionFactory(ManagedConnectionFactory mcf,
                                ConnectionManager cm)

Method Detail

### getConnection

    public Connection getConnection()
                             throws ResourceException

  Specified by:
    `getConnection` in interface `ConnectionFactory`
  Throws:
    `ResourceException`

### getConnection

    public Connection getConnection(ConnectionSpec spec)
                             throws ResourceException

  Specified by:
    `getConnection` in interface `ConnectionFactory`
  Throws:
    `ResourceException`

### getRecordFactory

    public RecordFactory getRecordFactory()
                                   throws ResourceException

  Specified by:
    `getRecordFactory` in interface `ConnectionFactory`
  Throws:
    `ResourceException`

### getMetaData

    public ResourceAdapterMetaData getMetaData()
                                        throws ResourceException

  Specified by:
    `getMetaData` in interface `ConnectionFactory`
  Throws:
    `ResourceException`

### setReference

    public void setReference(Reference reference)

  Specified by:
    `setReference` in interface `Referenceable`

### getReference

    public Reference getReference()
                           throws NamingException

  Specified by:
    `getReference` in interface `Referenceable`
  Throws:
    `NamingException`

### getName

    public String getName()

### setName

    public void setName(String string)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 The Apache Software Foundation. All Rights Reserved.